summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbsp/update-targets.sh9
m---------freedom-metal0
-rw-r--r--scripts/libmetal.mk2
m---------software/example-pmp0
4 files changed, 11 insertions, 0 deletions
diff --git a/bsp/update-targets.sh b/bsp/update-targets.sh
index b05731a..27f1e28 100755
--- a/bsp/update-targets.sh
+++ b/bsp/update-targets.sh
@@ -11,6 +11,15 @@ $0: BSP Generator for the SiFive Freedom E SDK
EOF
}
+warn () {
+ echo "$0:" "$@" >&2
+}
+die () {
+ shift
+ warn "$@"
+ exit 1
+}
+
unset DTSFILE
unset CUSTOM_PATH
unset CUSTOM_NAME
diff --git a/freedom-metal b/freedom-metal
-Subproject eb22ebcbaefd0b3547064c7cc162df743c2be52
+Subproject 1c091eac4c18c4988a0551d63bfcf4b835fb421
diff --git a/scripts/libmetal.mk b/scripts/libmetal.mk
index bd89173..3ece6cf 100644
--- a/scripts/libmetal.mk
+++ b/scripts/libmetal.mk
@@ -5,6 +5,7 @@
METAL_SOURCE_PATH ?= freedom-metal
METAL_LDSCRIPT = $(BSP_DIR)/metal.$(LINK_TARGET).lds
METAL_HEADER = $(BSP_DIR)/metal.h
+METAL_INLINE = $(BSP_DIR)/metal-inline.h
PLATFORM_HEADER = $(BSP_DIR)/metal-platform.h
METAL_PREFIX = $(abspath $(BSP_DIR)/install)
@@ -27,6 +28,7 @@ $(METAL_BUILD_DIR)/Makefile:
--with-preconfigured \
--with-machine-name=$(TARGET) \
--with-machine-header=$(abspath $(METAL_HEADER)) \
+ --with-machine-inline=$(abspath $(METAL_INLINE)) \
--with-platform-header=$(abspath $(PLATFORM_HEADER)) \
--with-machine-ldscript=$(abspath $(METAL_LDSCRIPT)) \
--with-builtin-libgloss
diff --git a/software/example-pmp b/software/example-pmp
-Subproject 2b9d8389c852dfd8cc688d37cbd17afea72018a
+Subproject 7f49ff4dc12f3cc81814507d24eb36017dccabd